Debian Bug report logs - #166758
apt: apt-get does not work (nmap problem??) both with kernel 2.4.19 and 2.4.20-pre11

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: "Gábor" "Lénárt" <lgb@vega.digitel2002.hu>

Date: Mon, 28 Oct 2002 10:33:02 UTC

Severity: normal

Tags: pending

Merged with 172549, 172777, 173946, 175887, 176297, 177101, 178623, 180845, 181816, 181928, 184192, 185813

Found in versions 0.5.4, 0.5.4.1, 0.3.10slink11

Fixed in version apt/0.5.5

Done: Adam Heath <doogie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "G�bor" "L�n�rt" <lgb@vega.digitel2002.hu>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Gábor" "Lénárt" <lgb@vega.digitel2002.hu>
To: submit@bugs.debian.org
Subject: apt: apt-get does not work (nmap problem??) both with kernel 2.4.19 and 2.4.20-pre11
Date: 28 Oct 2002 10:20:03 -0000
Package: apt
Version: 0.5.4
Severity: grave

root@vega:~# apt-get update
[...]
Hit ftp://security.debian.org woody/non-US/non-free Packages
Hit ftp://security.debian.org woody/non-US/non-free Release
Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Dynamic MMap ran out of room
E: Error occured while processing libwxxt-dev (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.
root@vega:~# apt-get dist-upgrade
Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Dynamic MMap ran out of room
E: Error occured while processing libwxxt-dev (NewVersion1)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux vega 2.4.20-pre11 #1 Mon Oct 28 10:12:53 CET 2002 i686 Intel(R) Pentium(R) 4 CPU 1.70GHz GenuineIntel GNU/Linux

Versions of the packages apt depends on:
ii  libc6          2.3.1-3        GNU C Library: Shared libraries and Timezone
ii  libstdc++2.10- 2.95.4-12      The GNU stdc++ library



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 166758@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Gábor Lénárt <lgb@vega.digitel2002.hu>, 166758@bugs.debian.org
Cc: APT Development Team <deity@lists.debian.org>
Subject: Re: Bug#166758: apt: apt-get does not work (nmap problem??) both with kernel 2.4.19 and 2.4.20-pre11
Date: Mon, 28 Oct 2002 11:47:39 -0700 (MST)
On 28 Oct 2002, Gábor Lénárt wrote:

> E: Error occured while processing libwxxt-dev (NewVersion1)
> E: Problem with MergeList /var/lib/dpkg/status
> E: The package lists or status file could not be parsed or opened.

You have too many sources.list entires. The man pages tell of an option
you can use to increase the limit.

Jason




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Agthorr <agthorr@barsoom.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 166758@bugs.debian.org (full text, mbox):

From: Agthorr <agthorr@barsoom.org>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: apt: I'm seeing this too
Date: Mon, 4 Nov 2002 16:40:49 -0800
Followup-For: Bug #166758
Package: apt
Version: 0.5.4

I'm seeing this bug as well.  My system has plenty of free RAM and
swap (around 0.5 GB), so the error seems bogus.  The error does not
occur if I remove several hosts from my /etc/apt/sources file,
though.  I tried experimenting with different permutations, and it
doesn't seem to matter which hosts are included, only the number.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux liberty 2.4.18liberty #1 SMP Fri May 24 14:42:40 PDT 2002 i686
Locale: LANG=C, LC_CTYPE=

Versions of packages apt depends on:
ii  libc6                         2.2.5-14.3 GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2        1:2.95.4-7 The GNU stdc++ library



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Marius Gedminas <mgedmin@codeworks.lt>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 166758@bugs.debian.org (full text, mbox):

From: Marius Gedminas <mgedmin@codeworks.lt>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: apt: DynamicMMap too static?
Date: Thu, 7 Nov 2002 18:19:14 +0200
Followup-For: Bug #166758
Package: apt
Version: 0.5.4

If your sources.list has too many sources, apt will bail out during
'Reading Package Lists' phase with a "Dynamic MMap ran out of room"
error.

This cannot be fixed by increasing a magic value (I'm guessing
APT:Cache-Limit) in apt.conf, because in the code the DynamicMMap
constructor is never passed a WorkSpace argument and the default value
of 2 MBytes is always used.

Why cannot dynamic mmap be more dynamic and increase workspace
automatically?

Or at least a working apt.conf value should be provided for us crazy
users who try to have all Debian branches from at least two nearest
mirrors in our sources.list/

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux zeta 2.4.19 #1 Fri Aug 30 13:15:28 EET 2002 i686
Locale: LANG=C, LC_CTYPE=lt_LT.ISO-8859-13

Versions of packages apt depends on:
ii  libc6                         2.2.5-14.3 GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2        1:2.95.4-7 The GNU stdc++ library

Marius Gedminas
-- 
If "con" is the opposite of "pro", then what is the opposite of progress?



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 166758@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Marius Gedminas <mgedmin@codeworks.lt>, Debian Bug Tracking System <166758@bugs.debian.org>
Cc: APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org
Subject: Re: Bug#166758: apt: DynamicMMap too static?
Date: Thu, 07 Nov 2002 10:24:08 -0700 (MST)
On Thu, 7 Nov 2002, Marius Gedminas wrote:

> This cannot be fixed by increasing a magic value (I'm guessing
> APT:Cache-Limit) in apt.conf, because in the code the DynamicMMap
> constructor is never passed a WorkSpace argument and the default value
> of 2 MBytes is always used.

Er it can and does work just fine. The command line option is '-o
APT::Cache-Limit=16777216' for instances.

> Or at least a working apt.conf value should be provided for us crazy
> users who try to have all Debian branches from at least two nearest
> mirrors in our sources.list/

/usr/share/doc/apt/examples/configure-index.gc contains the exact syntax
you need.

Jason




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 166758@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Jason Gunthorpe <jgg@debian.org>
Cc: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: Re: Bug#166758: apt: DynamicMMap too static?
Date: Thu, 7 Nov 2002 11:45:34 -0600 (CST)
On Thu, 7 Nov 2002, Jason Gunthorpe wrote:

> Er it can and does work just fine. The command line option is '-o
> APT::Cache-Limit=16777216' for instances.

I have wondered for awhile about this code.

When the mmap file is growing, and one of the internal parts runs out of room,
what is the harm of throwing all the current work away, increasing the size of
this limit, and starting over?

Also, maybe the cache files should store some of these numbers inside
themselves(the above mentioned cache-limit).




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Jason Gunthorpe <jgg@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 166758@bugs.debian.org (full text, mbox):

From: Jason Gunthorpe <jgg@debian.org>
To: Adam Heath <doogie@debian.org>
Cc: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: Re: Bug#166758: apt: DynamicMMap too static?
Date: Thu, 07 Nov 2002 22:55:18 -0700 (MST)
On Thu, 7 Nov 2002, Adam Heath wrote:

> When the mmap file is growing, and one of the internal parts runs out of
> room, what is the harm of throwing all the current work away, increasing
> the size of this limit, and starting over? 

Well, that's terribly inelegant but I think it would probably work OK.

The only real problem with making the number larger is that it eats up
page tables in the kernel, there is no real memory or disk space comitted
to it.

Jason
 




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Marius Gedminas <mgedmin@codeworks.lt>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #40 received at 166758@bugs.debian.org (full text, mbox):

From: Marius Gedminas <mgedmin@codeworks.lt>
To: Jason Gunthorpe <jgg@debian.org>
Cc: Debian Bug Tracking System <166758@bugs.debian.org>, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org
Subject: Re: Bug#166758: apt: DynamicMMap too static?
Date: Fri, 8 Nov 2002 10:15:27 +0200
On Thu, Nov 07, 2002 at 10:24:08AM -0700, Jason Gunthorpe wrote:
> On Thu, 7 Nov 2002, Marius Gedminas wrote:
> 
> > This cannot be fixed by increasing a magic value (I'm guessing
> > APT:Cache-Limit) in apt.conf, because in the code the DynamicMMap
> > constructor is never passed a WorkSpace argument and the default value
> > of 2 MBytes is always used.
> 
> Er it can and does work just fine. The command line option is '-o
> APT::Cache-Limit=16777216' for instances.

You are absolutelty right.  My mistake.  Sorry.  I tried "raising" it to
3 megs (thinking that the default was 2, as defined in
apt-pkg/contrib/mmap.h), but actually the default was 6
(defined in apt-pkg/pkgcachegen.cc), and I needed 7.  I also somehow
managed to miss that 3 out of 4 constructor calls do pass the WorkSpace
argument clear as day (only they call it MapSize instead and make the
argument list parsing more difficult by having no spaces after commas, a
convention I'm not used to).

Now, where did I put that brown paper bag...

Marius Gedminas
-- 
What goes up, must come down. Ask any system administrator.



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Joe Barnett <sanchezthecactus@yahoo.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #45 received at 166758@bugs.debian.org (full text, mbox):

From: Joe Barnett <sanchezthecactus@yahoo.com>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: apt: same problem, but different package reported as broken one
Date: Sun, 24 Nov 2002 14:23:15 -0800
Package: apt
Version: 0.5.4
Followup-For: Bug #166758

i get the same thing, but it complains about ogle-gui.
it also complained about liblzo1, which is the package just above
ogle-gui in the status file, but now has decided to complain about
ogle-gui.  I get the problem even if i replace status file with a
backup, so I guess the problem's somewhere in apt. :-\

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux sweeze.Stanford.EDU 2.4.19 #1 Fri Nov 22 14:48:09 PST 2002 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages apt depends on:
ii  libc6                        2.3.1-5     GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2       1:2.95.4-15 The GNU stdc++ library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <blade@debian.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #50 received at 166758@bugs.debian.org (full text, mbox):

From: Eduard Bloch <blade@debian.org>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: same problem, apt-cache segfaults
Date: Sat, 30 Nov 2002 11:58:25 +0100
Package: apt
Version: 0.5.4
Followup-For: Bug #166758

See subject. I have to set APT::Cache-Limit=16777216, otherwise apt-get
fails with the MMap message, and apt-cache just crashes.

Gruss/Regards,
Eduard.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux zombie 2.4.20-rc3 #13 Mon Nov 25 22:38:24 CET 2002 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

Versions of packages apt depends on:
hi  libc6                        2.3.1-3     GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2       1:2.95.4-15 The GNU stdc++ library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to uh35@rz.uni-karlsruhe.de:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #55 received at 166758@bugs.debian.org (full text, mbox):

From: Abdul Abshala <drima@tacheles.de>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: apt: Same prob on woody
Date: Sat, 07 Dec 2002 16:56:51 +0100
Package: apt
Version: 0.5.4
Followup-For: Bug #166758

I got :

Reading Package Lists... Error!
E: Dynamic MMap ran out of room
E: Error occured while processing lbreakout (NewPackage)
E: Problem with MergeList /var/lib/dpkg/status
E: The package lists or status file could not be parsed or opened.

it worked out with apt-get -o 'APT::Cache-Limit=16777216' ..
but i was told to file this as a bug because it should not happen on a woody system.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux tacheles 2.4.18 #1 Die Aug 20 13:34:07 CEST 2002 i686
Locale: LANG=de_DE, LC_CTYPE=de_DE

Versions of packages apt depends on:
ii  libc6                         2.2.5-11.2 GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2        1:2.95.4-7 The GNU stdc++ library




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Daniel Webb <webb@danielwebb.us>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 166758@bugs.debian.org (full text, mbox):

From: Daniel Webb <webb@danielwebb.us>
To: 166758@bugs.debian.org
Subject: memory limitation
Date: Fri, 13 Dec 2002 21:47:31 -0700 (MST)
At the very least, it is a bug that it doesn't fail with a proper
explanation of why it failed.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Paolo Redaelli <paolo.redaelli@libero.it>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #65 received at 166758@bugs.debian.org (full text, mbox):

From: Paolo Redaelli <paolo.redaelli@libero.it>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: apt: Also present on PowerPC and Athlons
Date: Sat, 14 Dec 2002 09:51:40 +0100
Package: apt
Version: 0.5.4
Followup-For: Bug #166758


-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux antares 2.4.20-pre7-ben0 #4 SMP Thu Oct 3 21:17:24 CEST 2002 ppc
Locale: LANG=it_IT@euro, LC_CTYPE=it_IT@euro

Versions of packages apt depends on:
ii  libc6                        2.3.1-5     GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2       1:2.95.4-15 The GNU stdc++ library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Christopher Allen <cpcallen@ruah.dyndns.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #70 received at 166758@bugs.debian.org (full text, mbox):

From: Christopher Allen <cpcallen@ruah.dyndns.org>
To: Debian Bug Tracking System <166758@bugs.debian.org>
Subject: apt: Probably not kernel-version dependent
Date: Thu, 09 Jan 2003 12:29:53 -0500
Package: apt
Version: 0.5.4
Followup-For: Bug #166758

I also see this with Linux version 2.4.17 on i386 (but not with
2.4.20-benh on powerpc) so it's probably not the kernel version.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux datum 2.4.17 #1 Sat May 11 23:53:21 EDT 2002 i686
Locale: LANG=en_CA, LC_CTYPE=en_CA

Versions of packages apt depends on:
ii  libc6                  2.2.5-11.2        GNU C Library: Shared libraries an
ii  libstdc++2.10-glibc2.2 1:2.95.4-11woody1 The GNU stdc++ library




Severity set to `normal'. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Andrew Leiserson <andy@leiserson.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #79 received at 166758@bugs.debian.org (full text, mbox):

From: Andrew Leiserson <andy@leiserson.org>
To: 166758@bugs.debian.org
Subject: error message should mention APT::Cache-Limit
Date: Wed, 15 Jan 2003 02:34:47 -0500
It would help many people (users and developers, who would get fewer 
duplicate bug reports :-P) if APT suggested setting the config 
parameter when this problem occurs. My first reaction was to check if 
it was a known bug, not read the man page. Others would just get 
frustrated.




Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Tim Connors <tconnors@astro.swin.edu.au>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #84 received at 166758@bugs.debian.org (full text, mbox):

From: Tim Connors <tconnors@astro.swin.edu.au>
To: <166758@bugs.debian.org>
Subject: no go - still error for me
Date: Sun, 26 Jan 2003 21:35:18 +1100 (EST)
I have played with the Cache-Limit line to no avail. Currently it is
sitting at

APT::Cache-Limits 134217728;

If it is becuase I am running out of disk space, here are my disk free:
/dev/hda9              1446780   1306372    140408  91% /var

I used to be able to fix this by gradually removing lines from my
sources.list, but now I am down to the minimum I can cope with.

I have 1304 packages installed, according to

dpkg --get-selections | grep '	install' | wc -l

trying an strace on the apt-get update process eventaully locks up (does
this mean there is a potential race condition in apt-get?):


[pid 19942] read(6, "201 URI Done\nURI: http://mirror."..., 4000) = 264
Hit http://mirror.aarnet.edu.au unstable/non-free Release..., 73
) = 73
[pid 19942] gettimeofday({1043577064, 49024}, NULL) = 0
[pid 19942] rt_sigprocmask(SIG_BLOCK, [WINCH], [], 8) = 0
[pid 19942] rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
97% [Working]) = 14, "\r97% [Working]", 14
[pid 19942] gettimeofday({1043577064, 49374}, NULL) = 0
) = 15       rite(1, "\r             \r", 15
[pid 19942] close(5)                    = 0
[pid 19942] close(8 <unfinished ...>
[pid 19944] <... select resumed> )      = 1 (in [0])
[pid 19942] <... close resumed> )       = 0
[pid 19944] read(0,  <unfinished ...>
[pid 19942] kill(19944, SIGINT <unfinished ...>
[pid 19944] <... read resumed> "", 4000) = 0
[pid 19942] <... kill resumed> )        = 0
[pid 19944] --- SIGINT (Interrupt) ---
[pid 19942] wait4(19944,

so I don't know how to debug this further.


-- 
TimC -- http://astronomy.swin.edu.au/staff/tconnors/

"Perhaps the truth is less interesting than the facts?"
   -- Amy Weiss, RIAA's Senior Vice President of Communications




Merged 166758 172549 172777 173946 175887 176297 177101. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297 177101 178623. Request was from Filip Van Raemdonck <mechanix@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org:
Bug#166758; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Joe Kislo <joe@k12s.phast.umass.edu>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>, apt@packages.qa.debian.org. Full text and rfc822 format available.

Message #93 received at 166758@bugs.debian.org (full text, mbox):

From: Joe Kislo <joe@k12s.phast.umass.edu>
To: 166758@bugs.debian.org
Subject: Apt patch,
Date: 28 Jan 2003 12:44:53 -0500
[Message part 1 (text/plain, inline)]
I haven't seen any discussion here on a time-frame for a fix (I'm sure
it's a complicated fix), so I've implemented Daniel's idea of having a
better error message.  

	The attached patch will warn the user that they've run into this
limitation, and give them useful suggestions.  It also includes a link
to this bug.  I think this will dramatically reduce the number of
duplicate bugs due to this issue.  I assume more and more people are
going to run into this issue.  I currently only have
unstable/testing/stable and security, and I run into this issue. 
Clearing out the uninstalled packages out of my /var/lib/dpkg/status
file didn't help either :(

-Joe

[apt-patch-mmap.patch (text/x-patch, attachment)]

Tags added: pending Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297 177101 178623 180845. Request was from "Daniel M�ller" <daniel.mueller@tm.uka.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297 177101 178623 180845 181928. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297 177101 178623 180845 181816 181928. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297 177101 178623 180845 181816 181928 185813. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 166758 172549 172777 173946 175887 176297 177101 178623 180845 181816 181928 184192 185813. Request was from Matt Zimmerman <mdz@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adam Heath <doogie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "G�bor" "L�n�rt" <lgb@vega.digitel2002.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #110 received at 178623-close@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: 178623-close@bugs.debian.org
Subject: Bug#178623: fixed in apt 0.5.5
Date: Wed, 07 May 2003 13:33:34 -0400
We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.5.5_all.deb
  to pool/main/a/apt/apt-doc_0.5.5_all.deb
apt-utils_0.5.5_i386.deb
  to pool/main/a/apt/apt-utils_0.5.5_i386.deb
apt_0.5.5.dsc
  to pool/main/a/apt/apt_0.5.5.dsc
apt_0.5.5.tar.gz
  to pool/main/a/apt/apt_0.5.5.tar.gz
apt_0.5.5_i386.deb
  to pool/main/a/apt/apt_0.5.5_i386.deb
libapt-pkg-dev_0.5.5_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.5.5_i386.deb
libapt-pkg-doc_0.5.5_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.5.5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 178623@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Heath <doogie@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 27 Apr 2003 01:23:12 -0500
Source: apt
Binary: apt-utils libapt-pkg-doc libapt-pkg-dev apt-doc apt
Architecture: source i386 all
Version: 0.5.5
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Adam Heath <doogie@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 54982 57070 70685 88664 88798 89830 90654 92287 92358 95933 98640 103678 105920 105968 108801 109430 109591 110389 111914 113786 114892 115701 116011 117856 117915 118431 120311 120689 123642 126189 128741 129970 130689 131062 131397 132772 132776 133942 133943 133950 135021 135295 136749 138050 138054 138186 139328 139752 139994 142298 142955 143995 145997 146294 146846 147529 147611 147817 148824 148879 149595 150512 151654 151834 151835 153307 153734 154268 154601 154602 155014 155194 155621 155842 158896 159864 161592 162617 163932 165085 165515 165516 165518 165891 172901 173619 173745 173971 174945 175055 176052 177752 178008 178121 178435 178537 178623 178736 183111 183904 189014
Changes: 
 apt (0.5.5) unstable; urgency=low
 .
   * New deb version compare function, that has no integer limits, and
     supports pre-versions using ~.  Code ported from dpkg.
   * Fix handling of [!arch] for build-dependencies. Closes: #88798, #149595
   * Fix handling of build-deps on unknown packages. Closes: #88664, #153307
   * "apt-get --arch-only build-dep" to install only architecture-
     dependent build dependencies. Bump minor shared lib number to reflect
     small change in BuildDepend API.
   * APT::Build-Essential configuration option (defaults to "build-essential")
     so that "apt-get build-dep" will ensure build essential packages are
     installed prior to installing other build-dependencies. Closes: #148879
   * LD_LIBRARY_PATH thing. Closes: #109430, #147529
   * /usr/doc reference in postinst. Closes: #126189
   * Doc updates. Closes: #120689
   * Possible apt-cache segfault. Closes: #120311, #118431, #117915, #135295,
           #131062, #136749
   * Print special message for EAI_AGAIN. Closes: #131397
   * libapt-pkg-dev needs to bring in the apt-inst library if linking
     is to work. Closes: #133943
   * Typos, Doc Stuff. Closes: #132772, #129970, #123642, #114892, #113786,
          #109591, #105920, #103678, #139752, #138186, #138054, #138050,
 	 #139994, #142955, #151654, #151834, #147611, #154268, #173971
   * Fix possibility for tag file parsing to fail in some unlikely situations.
     Closes: #139328
   * Use std C++ names for some header files. Closes: #128741
   * Do not check for free space if --no-download. Closes: #117856
   * Actually implement or group handling for 'upgrade'. Closes: #133950
   * "Internal Error, Couldn't configure pre-depend" is not actually an
     internal error, it is a packaging error and now it says so, and
     pinpoints the problem dependency. Closes: #155621
   * Allows failure to write to a pipe for post-invoke stuff. Closes: #89830
   * Use usr/share/doc for dhelp. Closes: #115701
   * --print-uris works with 'update'. Closes: #57070
   * Options Dpkg::MaxArgs,Dpkg::MaxArgBytes to allow a much longer dpkg
     command line.
   * Fixed 2 little OR group bugs, thanks to Yann Dirson. Closes: #143995,
     #142298
   * Allow an uninstalled package to be marked for removal on an install
     line (meaning not to automatically install it), also fix some dodgy
     handling of protected packages. Closes: #92287, #116011
   * Fix errant prefix matching in version selection. Closes: #105968
   * Ensure that all files needed to run APT as a user are readable and
     ignore roots umask for these files. Closes: #108801
   * Support larger config spaces. Closes: #111914
   * 'apt-get update' no longer does 'Building Dependency Tree'.
   * When matching regexs allways print a message. Change regex activation
     charset. Closes: #147817
   * Don't die if lines in sources.list are too long. Closes: #146846
   * Show file name on apt-extracttemplate error messges. Closes: #151835
   * i18n gettext stuff, based on work from Michael Piefel: Closes: #95933
   * Some highly unlikely memory faults. Closes: #155842
   * C++ stuff for G++3.2. Closes: #162617, #165515,
   * apt-config dumps sends to stdout not stderr now.  Closes: #146294
   * Fix segfault in FindAny when /i is used, and there is no default.
     Closes: #165891
   * Add s390x to archtable.  Closese: #160992.
   * Update config.sub/config.guess in cvs, and add support to debian/rules
     to update them from /usr/share/misc if they exist.  Closes: #155014
   * Remove 'Sorry' from messages.  Closes: #148824.
   * Change wording of 'additional disk space usage' message.  Closes:
     #135021.
   * apt-extracttemplates now prepends the package name when extracting
     files.  Closes: #132776
   * Add -n synonym for --names-only for apt-cache.  Closes: #130689
   * Display both current version and new version in apt-get -s.  Closes:
     #92358
   * Add an options and timeout config item to ssh/rsh.  Closes: #90654
   * libapt-pkg-dev now depends on apt-utils.  Closes: #133942.
   * Change verbose logging output of apt-ftparchive to go to stderr,
     instead of stdout.  Also, errors that occur no longer go to stdout,
     but stderr.  Closes: #161592
   * Test for timegm in configure.  Closes: #165516.
   * s/st_mtime/mtime/ on our local stat structure in apt-ftparchive, to
     support compliation on platforms where st_mtime is a macro.  Closes:
     #165518
   * Check the currently mounted cdrom, to see if it's the one we are
     interested in.  Closes: #154602
   * Refer to reportbug instead of bug in the man pages. Closes: #173745
   * Link apt-inst to apt-pkg. Closes: #175055
   * New apt_preferences man page from Thomas Hood, Susan Kleinmann,
     and others.
   * Fix > 300 col screen segfault. Closes: #176052
   * Rebuild with gcc-3.2. Closes: #177752, #178008.
   * Fix build-dep handling of | dependencies.
     Closes: #98640, #145997, #158896, #172901
   * Double default value of APT::Cache-Limit, until such time as it
     can be made more dynamic.  Closes: #178623.
   * Report uris with '.gz' when there are errors.  Closes: #178435.
   * When installing build-deps, make sure the new version will
     satisfy build requirements. Closes: #178121
   * Split offline and guide documentation into apt-doc.  This was done so
     that binary-arch builds do not require documention deps.  Note, that
     apt-doc is not installed on upgrades.
   * Use doc-base, instead of dhelp directly.  Closes: #110389
   * Change http message 'Waiting for file' to 'Waiting for headers'.
     Closes: #178537
   * Remove trailing lines on package lists in apt-get.  Closes: #178736.
   * Fix origin pins for file:// uris.  Closes: #189014.
   * Apply typo and syntax patch from bug to apt-cache.8.sgml.  Closes:
     #155194
   * s/dpkg-preconfig/dpkg-preconfigure/ in examples/configure-index.
     Closes: #153734.
   * Fix some typos in the apt-get manual.  Closes: #163932.
   * Apply patch from bug, to change frozen to testing, and then do it
     everywhere else.  Closes: #165085.
   * Update es.po.  Closes: #183111.
   * Add pt_BR translation of apt_preferences(5).  Also, build fr manpages.
     Closes: #183904.
   * Add a vcg command to apt-cache, similiar to dotty.  Closes: #150512.
   * Add option to apt-get to show versions of packages being
     upgraded/installed.
   * Be quiet in apt.post{inst,rm}.  Closes: #70685.
   * apt-get now prints out suggested and recommended packages.  Closes:
     #54982.
   * Insert some newlines in the cdrom change media message.  Closes:
     #154601.
   * Add a rdepends command to apt-cache.  Closes: #159864.
   * When building the dpkg command line, allow for 8192 chars to be used,
     instead of only 1024.
   * APT::Immediate-Configure had inverted semantics(false meant it was
     enabled).  Closes: #173619.
   * Fix status file parser so that if a record is larger than 32k, the
     buffer size will be doubled, and the read attempted again.  Closes:
     #174945.
Files: 
 c87ffb8973dfbf265c3a426ce7062119 715 admin important apt_0.5.5.dsc
 fd2be6b584282bd2dbc046449e3e5d2f 811582 admin important apt_0.5.5.tar.gz
 d5f2b4d29cc5d73310a6a9d9746d166a 60062 doc optional apt-doc_0.5.5_all.deb
 9cddc94ffca174d495865655e2b9095d 92184 doc optional libapt-pkg-doc_0.5.5_all.deb
 c219ba00e729e3ec5eb3dec7307290bd 692238 base standard apt_0.5.5_i386.deb
 47abaf0b8ece16c61c29aabc2b11b7e2 59608 devel optional libapt-pkg-dev_0.5.5_i386.deb
 5d7ca50fb7d4b2f2afa79d730d25a930 147040 admin optional apt-utils_0.5.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+q3uDiix9wovUpIkRArJIAJ9Wk2TocblYFyxUmIR7xcYFsD+mTQCfQO+3
gRED/2QMSPR4Ix5ovCyht4g=
=CkGf
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:26:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.